Skip to main content
GET
/
api
/
v1
/
agents
/
{agentId}
/
versions
List agent Git versions
curl --request GET \
  --url https://app.eigenpal.com/api/v1/agents/{agentId}/versions \
  --header 'Authorization: Bearer <token>'
{
  "agentId": "<string>",
  "slug": "<string>",
  "packagePath": "<string>",
  "versions": [
    {
      "version": "<string>",
      "sourceRef": "<string>",
      "tag": "<string>",
      "commit": "<string>",
      "notes": "<string>",
      "createdAt": "<string>",
      "createdByUser": {
        "id": "<string>",
        "email": "<string>",
        "name": "<string>",
        "image": "<string>"
      },
      "latest": true
    }
  ]
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Path Parameters

agentId
string
required

Agent id or slug

Response

Agent versions

agentId
string
required
slug
string
required
packagePath
string
required
versions
object[]
required